=== debian/changelog ===
mender-client (1.7.0-4) unstable; urgency=medium

  * Fix 'mender -version' output

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Feb 2019 15:08:36 +0100

mender-client (1.7.0-3) unstable; urgency=medium

  * Describe identity and inventory in README.Debian
  * Ship mender.conf.example in documentation directory
  * Mention mender.conf in README.Debian
  * Create directories for mender-device-identity and mender-inventory-*
  * Create directory for mender.conf transient settings
  * Improve README.Debian further

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Jan 2019 13:00:31 +0100

mender-client (1.7.0-2) experimental; urgency=medium

  * Disable DH_GOLANG_EXCLUDES{_ALL}
  * Add debian/patches to fix deploy_log_hook.go
  * Make tests non-fatal for now

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 10 Jan 2019 17:12:59 +0100

mender-client (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 15 Dec 2018 15:34:45 +0100

mender-client (1.6.0b1+git20181015.3032b74-1) experimental; urgency=medium

  * Initial release (Closes: #914119)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Nov 2018 18:34:58 +0100
