=== debian/control ===
Source: mender-client
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-logrus-dev,
	       golang-github-bmatsuo-lmdb-go-dev,
	       golang-github-ungerik-go-sysfs-dev,
	       golang-github-mendersoftware-mender-artifact-dev,
	       golang-github-mendersoftware-log-dev,
	       golang-github-mendersoftware-mendertesting-dev,
               ca-certificates <!nocheck>
Standards-Version: 4.2.1
Homepage: https://github.com/mendersoftware/mender
Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-client
Vcs-Git: https://salsa.debian.org/go-team/packages/mender-client.git
XS-Go-Import-Path: github.com/mendersoftware/mender
Testsuite: autopkgtest-pkg-go

Package: mender-client
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates, u-boot-tools, mount, procps, systemd-sysv
Description: Mender over-the-air software updater client.
 Mender: over-the-air updater for embedded Linux devices
 .
 Mender is an open source over-the-air (OTA) software updater for embedded
 Linux devices. Mender comprises a client running at the embedded device, as
 well as a server that manages deployments across many devices.
 .
 Embedded product teams often end up creating homegrown updaters
 at the last minute due to the need to fix bugs in field-deployed
 devices. However, the most important requirement for an embedded update
 process is robustness, for example loss of power at any time should not
 brick a device. This creates a challenge given the time constraints to
 develop and maintain a homegrown updater.
 .
 Mender aims to address this challenge with a robust and easy to use
 updater for embedded Linux devices, which is open source and available
 to anyone.
 .
 Robustness is ensured with atomic image-based deployments using a dual
 A/B rootfs partition layout. This makes it always possible to roll
 back to a working state, even when losing power at any time during the
 update process.
 .
 Ease of use is addressed with an intuitive UI, comprehensive documentation
 (https://docs.mender.io/), a meta layer for the Yocto Project
 (https://github.com/mendersoftware/meta-mender) for easy integration
 into existing environments, and high quality software (see the test
 coverage badge).
 .
 This repository contains the Mender client updater, which can be run in
 standalone mode (manually triggered through its command line interface)
 or managed mode (connected to the Mender server).
 .
 Mender not only provides the client-side updater, but also the backend and
 UI for managing deployments as open source. The Mender server is designed
 as a microservices architecture and comprises several repositories.
 .
 To start using Mender, we recommend that you begin with the Getting
 started section in the Mender documentation (https://docs.mender.io/).
 .
 In order to support rollback, the Mender client depends on integration
 with U-Boot and the partition layout. It is therefore most easily
 built as part of your Yocto Project image by using the meta layer for
 the Yocto Project (https://github.com/mendersoftware/meta-mender).
