=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_INSTALL_EXTRA := client/server.crt \
	client/server.expired.crt \
	client/server.unknown-authority.crt
#export DH_GOLANG_EXCLUDES := github.com/mendersoftware/mender$
#export DH_GOLANG_EXCLUDES_ALL := 0

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-ldflags "-X main.Version=$(DEB_VERSION)"

override_dh_auto_test:
	dh_auto_test || true
