## mender-client 2.0.1

=== debian/changelog ===
mender-client (2.0.1-1) unstable; urgency=medium

  [ Lluis Campos ]
  * Add patch for skipping TestLicense unit test
  * Add patch for fixing TestDeviceVerifyReboot unit test
  * Copy missing helper files and enable unit tests suite
  * Add identity and inventory scripts as examples in the package
  * Add the modules directory onto the list of dirs
  * Update Debian README to introduce Mender 2.0 changes
  * Add Lluis in debian/control Uploaders list

  [ Andreas Henriksson ]
  * New upstream version 2.0.1
  * Bump mender-artifact build-dep to avoid 3.0.0+really2.4.0-1
  * Make tests non-fatal again

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Jul 2019 17:55:27 +0200

mender-client (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0
  * Bump mender-artifact build-dep to >= 3
  * mender.conf.example is now mender.conf.{demo,production}
  * Bump years in debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 May 2019 19:17:53 +0200
