=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
@@ -13,7 +13,7 @@
                golang-logrus-dev,
 	       golang-github-bmatsuo-lmdb-go-dev,
 	       golang-github-ungerik-go-sysfs-dev,
-	       golang-github-mendersoftware-mender-artifact-dev,
+	       golang-github-mendersoftware-mender-artifact-dev (>= 3.0.1),
 	       golang-github-mendersoftware-log-dev,
 	       golang-github-mendersoftware-mendertesting-dev,
                ca-certificates <!nocheck>
