## mender-client 2.1.0

=== debian/changelog ===
mender-client (2.1.0-2) unstable; urgency=medium

  * Add d/p/0002-Use-UBI_IOCVOLUP-from-golang.org-x-sys-unix-package.patch
    - this should fix FTBFS on mips64el and s390x

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Sep 2019 18:21:58 +0200

mender-client (2.1.0-1) unstable; urgency=medium

  [ Lluis Campos ]
  * New upstream version 2.1.0
  * Drop old patches, all changes merged now upstream
  * Bump mender-artifact-dev dependency version to 3.1.x

 -- Lluis Campos <lluis.campos@northern.tech>  Wed, 18 Sep 2019 15:55:34 +0200
