=== debian/changelog ===
mender-client (2.1.2-2) unstable; urgency=medium

  * Add debian/patches/0003-Update-tests-to-use-artifact-v2.patch
    - Fixes FTBFS with mender-artifact >= 3.2 (See #947135)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 21 Dec 2019 21:09:25 +0100

mender-client (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2

 -- Lluis Campos <lluis.campos@northern.tech>  Tue, 10 Dec 2019 14:52:13 +0100

mender-client (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1

 -- Lluis Campos <lluis.campos@northern.tech>  Mon, 14 Oct 2019 11:19:09 +0200
