=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-logrus-dev,
 	       golang-github-bmatsuo-lmdb-go-dev,
 	       golang-github-ungerik-go-sysfs-dev,
-	       golang-github-mendersoftware-mender-artifact-dev (>= 3.0.1),
+	       golang-github-mendersoftware-mender-artifact-dev (>= 3.1.0),
 	       golang-github-mendersoftware-log-dev,
 	       golang-github-mendersoftware-mendertesting-dev,
                ca-certificates <!nocheck>
