=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 export DH_GOLANG_INSTALL_EXTRA := client/server.crt \
 	client/server.expired.crt \
-	client/server.unknown-authority.crt
-#export DH_GOLANG_EXCLUDES := github.com/mendersoftware/mender$
-#export DH_GOLANG_EXCLUDES_ALL := 0
+	client/server.unknown-authority.crt \
+	installer/modules_test_helper.sh \
+	system/testing/os_calls_helper.sh
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
