=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mender-client-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha|b)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/mendersoftware/mender/tags .*/v?(\d\S*)\.tar\.gz
