## mender-client 2.2.0

=== debian/changelog ===
mender-client (2.2.0-4) unstable; urgency=medium

  * Add patches to switch to upstream sirupsen/logrus v1.5 (Closes: #955660)
  * Remove dependency golang-github-mendersoftware-mendertesting-dev
  * Remove depcreated dependency golang-github-mendersoftware-log-dev

 -- Lluis Campos <lluis.campos@northern.tech>  Mon, 20 Apr 2020 13:56:22 +0200

mender-client (2.2.0-3) unstable; urgency=medium

  * Add debian/patches/PR509.patch
    - should fix FTBFS on mips64el

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Mar 2020 22:39:30 +0100

mender-client (2.2.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add d/p/0004-Also-fix-app-test.go-pointer-to-map-confusion.patch

  [ Lluis Campos ]
  * Recreate d/p/0001-Skip-TestLicense to avoid mendertesting dependency
  * Add d/p/0005-Skip-test-TestBinarySize-N.A.-for-Debian-build.patch
  * Add d/p/0006-Fix-pointer-to-map-confusion-in-modules_test.go.patch
  * Add d/p/0007-Skip-TestMainExitCodes-test-it-fails-autopkgtest-on-.patch
  * Add d/p/0008-Generate-an-error... and d/p/0009-MEN-3277-Fix-check...
    - Fixes: CLI options -check-update and -send-inventory do not work (See #953635)
    - Fixes: Salsa CI autopkgtest aborts while running TestCheckUpdate unit test

 -- Lluis Campos <lluis.campos@northern.tech>  Sat, 14 Mar 2020 16:01:56 +0100

mender-client (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * debian/rules: Use new variable name to inject version
  * Update Skip-TestLicense patch to apply again
  * Revert "Add debian/patches/0003-Update-tests-to-use-artifact-v2.patch"
  * Revert "Add debian/patches/0002-Use-UBI_IOCVOLUP-from[..].patch"
  * Add golang-golang-x-crypto-dev build-dependency
  * Add new build-dep for github.com/urfave/cli (v2) import
  * Add debian/patches/0002-Revert-switch-to-urfave-cli-v2-API.patch
  * Lower build-dep version of urfave/cli thanks to patch
  * Example mender.conf.* now lives in examples/
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Add d/p/0003-Fix-pointer-to-map-which-is-a-pointer-confusion.patch

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 09 Mar 2020 02:13:42 +0100
