=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
+               golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
                golang-logrus-dev,
 	       golang-github-bmatsuo-lmdb-go-dev,
 	       golang-github-ungerik-go-sysfs-dev,
-	       golang-github-mendersoftware-mender-artifact-dev (>= 3.1.0),
-	       golang-github-mendersoftware-log-dev,
-	       golang-github-mendersoftware-mendertesting-dev,
+               golang-github-urfave-cli-dev,
+	       golang-github-mendersoftware-mender-artifact-dev (>= 3.3.0),
                ca-certificates <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender
