## mender-client 2.3.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 datadir ?= /usr/share
 sysconfdir ?= /etc
 systemd_unitdir ?= /lib/systemd
+docexamplesdir ?= /usr/share/doc/mender-client/examples
 
 GO ?= go
 GOFMT ?= gofmt
@@ -11,21 +12,26 @@
 PKGS = $(shell go list ./... | grep -v vendor)
 PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
 		-o -type f -name '*.go' -print)
-PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
+PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v '\(client/test\|_test.go\)' )
 GOCYCLO ?= 15
 
 CGO_ENABLED=1
 export CGO_ENABLED
 
+# Get rid of useless warning in lmdb
+CGO_CFLAGS ?= -Wno-implicit-fallthrough
+export CGO_CFLAGS
+
 TOOLS = \
 	github.com/fzipp/gocyclo \
-	github.com/opennota/check/cmd/varcheck \
-	github.com/mendersoftware/deadcode
+	gitlab.com/opennota/check/cmd/varcheck \
+	github.com/mendersoftware/deadcode \
+	github.com/mendersoftware/gobinarycoverage
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
 GO_LDFLAGS = \
-	-ldflags "-X main.Version=$(VERSION)"
+	-ldflags "-X github.com/mendersoftware/mender/conf.Version=$(VERSION)"
 
 ifeq ($(V),1)
 BUILDV = -v
@@ -68,7 +74,7 @@
 mender: $(PKGFILES)
 	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
 
-install: install-bin install-conf install-identity-scripts install-inventory-scripts install-modules install-systemd
+install: install-bin install-conf install-identity-scripts install-inventory-scripts install-modules install-systemd install-examples
 
 install-bin: mender
 	install -m 755 -d $(prefix)$(bindir)
@@ -76,9 +82,6 @@
 
 install-conf:
 	install -m 755 -d $(prefix)$(sysconfdir)/mender
-	install -m 644 mender.conf.production $(prefix)$(sysconfdir)/mender/mender.conf.production
-	install -m 644 mender.conf.production $(prefix)$(sysconfdir)/mender/mender.conf
-	install -m 644 mender.conf.demo $(prefix)$(sysconfdir)/mender/mender.conf.demo
 	echo "artifact_name=unknown" > $(prefix)$(sysconfdir)/mender/artifact_info
 
 install-datadir:
@@ -102,22 +105,20 @@
 
 install-systemd:
 	install -m 755 -d $(prefix)$(systemd_unitdir)/system
-	install -m 0644 support/mender.service $(prefix)$(systemd_unitdir)/system/
-
-install-demo: install
-	install -m 755 mender.conf.demo $(prefix)$(sysconfdir)/mender/mender.conf
+	install -m 0644 support/mender-client.service $(prefix)$(systemd_unitdir)/system/
+
+install-examples:
+	install -m 755 -d $(prefix)$(docexamplesdir)
+	install -m 0644 support/demo.crt $(prefix)$(docexamplesdir)/
 
 uninstall: uninstall-bin uninstall-conf uninstall-identity-scripts uninstall-inventory-scripts \
-	uninstall-modules uninstall-modules-gen uninstall-systemd
+	uninstall-modules uninstall-modules-gen uninstall-systemd uninstall-examples
 
 uninstall-bin:
 	rm -f $(prefix)$(bindir)/mender
 	-rmdir -p $(prefix)$(bindir)
 
 uninstall-conf:
-	rm -f $(prefix)$(sysconfdir)/mender/mender.conf
-	rm -f $(prefix)$(sysconfdir)/mender/mender.conf.production
-	rm -f $(prefix)$(sysconfdir)/mender/mender.conf.demo
 	rm -f $(prefix)$(sysconfdir)/mender/artifact_info
 	-rmdir -p $(prefix)$(sysconfdir)/mender
 
@@ -146,8 +147,12 @@
 	-rmdir -p $(prefix)$(bindir)
 
 uninstall-systemd:
-	rm -f $(prefix)$(systemd_unitdir)/system/mender.service
+	rm -f $(prefix)$(systemd_unitdir)/system/mender-client.service
 	-rmdir -p $(prefix)$(systemd_unitdir)/system
+
+uninstall-examples:
+	rm -f $(prefix)$(docexamplesdir)/demo.crt
+	-rmdir -p $(prefix)$(docexamplesdir)
 
 clean:
 	$(GO) clean
@@ -164,19 +169,30 @@
 test:
 	$(GO) test $(BUILDV) $(PKGS)
 
-extracheck:
+extracheck: gofmt govet godeadcode govarcheck gocyclo
+	echo "All extra-checks passed!"
+
+gofmt:
 	echo "-- checking if code is gofmt'ed"
 	if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
 		"$$($(GOFMT) -d $(PKGFILES))" \
 		echo "-- gofmt check failed"; \
 		/bin/false; \
 	fi
+
+govet:
 	echo "-- checking with govet"
-	$(GO) tool vet -unsafeptr=false $(PKGFILES_notest)
+	$(GO) vet -unsafeptr=false
+
+godeadcode:
 	echo "-- checking for dead code"
 	deadcode -ignore version.go:Version
+
+govarcheck:
 	echo "-- checking with varcheck"
-	varcheck .
+	varcheck ./...
+
+gocyclo:
 	echo "-- checking cyclometric complexity > $(GOCYCLO)"
 	gocyclo -over $(GOCYCLO) $(PKGFILES_notest)
 
@@ -197,9 +213,37 @@
 	fi
 	rm -f coverage-tmp.txt coverage-missing-subtests.txt
 
-.PHONY: build clean get-tools test check \
-	cover htmlcover coverage \
-	install install-bin install-conf install-datadir install-demo install-identity-scripts \
-	install-inventory-scripts install-modules install-modules-gen install-systemd \
-	uninstall uninstall-bin uninstall-conf uninstall-identity-scripts \
-	uninstall-inventory-scripts uninstall-modules uninstall-modules-gen uninstall-systemd
+instrument-binary:
+	# Patch the client to make it ready for coverage analysis
+	git apply patches/0001-Instrument-Mender-client-for-coverage-analysis.patch
+	# Then instrument the files with the gobinarycoverage tool
+	gobinarycoverage github.com/mendersoftware/mender
+
+.PHONY: build
+.PHONY: clean
+.PHONY: get-tools
+.PHONY: test
+.PHONY: check
+.PHONY: cover
+.PHONY: htmlcover
+.PHONY: coverage
+.PHONY: install
+.PHONY: install-bin
+.PHONY: install-conf
+.PHONY: install-datadir
+.PHONY: install-identity-scripts
+.PHONY: install-inventory-scripts
+.PHONY: install-modules
+.PHONY: install-modules-gen
+.PHONY: install-systemd
+.PHONY: install-examples
+.PHONY: uninstall
+.PHONY: uninstall-bin
+.PHONY: uninstall-conf
+.PHONY: uninstall-identity-scripts
+.PHONY: uninstall-inventory-scripts
+.PHONY: uninstall-modules
+.PHONY: uninstall-modules-gen
+.PHONY: uninstall-systemd
+.PHONY: uninstall-examples
+.PHONY: instrument-binary
