=== debian/changelog ===
mender-client (2.3.0-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:19:33 +0000

mender-client (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Revert "Add patches to switch to upstream sirupsen/logrus v1.5"
  * Revert "Add debian/patches/PR509.patch"
  * Revert "Add d/p/0008-Generate-an-error... and d/p/0009-MEN-3277-Fix-check..."
  * Revert "Add d/p/0006-Fix-pointer-to-map-confusion-in-modules_test.go.patch"
  * Revert "Add d/p/0004-Also-fix-app-test.go-pointer-to-map-confusion.patch"
  * Revert "Add d/p/0003-Fix-pointer-to-map-which-is-a-pointer-confusion.patch"
  * Update Skip TestLicense and Revert urfave cli v2 patches to apply
  * Bump mender-artifact build-dep to >= 3.4.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 27 Jul 2020 13:28:43 +0200
