=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mender-client
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
@@ -15,7 +16,7 @@
 	       golang-github-bmatsuo-lmdb-go-dev,
 	       golang-github-ungerik-go-sysfs-dev,
                golang-github-urfave-cli-dev,
-	       golang-github-mendersoftware-mender-artifact-dev (>= 3.3.0),
+	       golang-github-mendersoftware-mender-artifact-dev (>= 3.4.0),
                ca-certificates <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender
