## mender-client 2.4.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 export CGO_CFLAGS
 
 TOOLS = \
-	github.com/fzipp/gocyclo \
+	github.com/fzipp/gocyclo/... \
 	gitlab.com/opennota/check/cmd/varcheck \
 	github.com/mendersoftware/deadcode \
 	github.com/mendersoftware/gobinarycoverage
@@ -54,7 +54,8 @@
 	support/mender-inventory-hostinfo \
 	support/mender-inventory-network \
 	support/mender-inventory-os \
-	support/mender-inventory-rootfs-type
+	support/mender-inventory-rootfs-type \
+	support/mender-inventory-geo
 
 MODULES = \
 	support/modules/deb \
@@ -161,7 +162,7 @@
 get-tools:
 	set -e ; for t in $(TOOLS); do \
 		echo "-- go getting $$t"; \
-		go get -u $$t; \
+		GO111MODULE=off go get -u $$t; \
 	done
 
 check: test extracheck
@@ -204,7 +205,7 @@
 
 coverage:
 	rm -f coverage.txt
-	$(GO) test -coverprofile=coverage-tmp.txt -coverpkg=github.com/mendersoftware/... ./...
+	$(GO) test -coverprofile=coverage-tmp.txt -coverpkg=./... ./...
 	if [ -f coverage-missing-subtests.txt ]; then \
 		echo 'mode: set' > coverage.txt; \
 		cat coverage-tmp.txt coverage-missing-subtests.txt | grep -v 'mode: set' >> coverage.txt; \
