=== debian/changelog ===
mender-client (2.4.1-2) unstable; urgency=medium

  * Recommend libubootenv-tool instead of u-boot-tools

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Apr 2021 21:20:55 +0200

mender-client (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Add new build dependencies pkg-config, golang-github-mendersoftware-openssl-dev
  * Refresh existing d/patches
  * Add d/p/0005-Revert-import-github.com-urfave-cli-v2-to-github.com.patch

 -- Lluis Campos <lluis.campos@northern.tech>  Mon, 23 Nov 2020 10:28:52 +0100
