=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mender-client
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
+               pkg-config,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
@@ -13,10 +13,11 @@
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
                golang-logrus-dev,
-	       golang-github-bmatsuo-lmdb-go-dev,
-	       golang-github-ungerik-go-sysfs-dev,
+               golang-github-bmatsuo-lmdb-go-dev,
+               golang-github-ungerik-go-sysfs-dev,
                golang-github-urfave-cli-dev,
-	       golang-github-mendersoftware-mender-artifact-dev (>= 3.4.0),
+               golang-github-mendersoftware-mender-artifact-dev (>= 3.4.0),
+               golang-github-mendersoftware-openssl-dev (>=0.0.10),
                ca-certificates <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender
@@ -30,7 +31,11 @@
 Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ca-certificates, u-boot-tools, mount, procps, systemd-sysv
+Recommends: ca-certificates,
+            libubootenv-tool (>= 0.3-3~) | u-boot-tools (<< 2019.10~rc4+dfsg-1~),
+	    mount,
+	    procps,
+	    systemd-sysv
 Description: Mender over-the-air software updater client.
  Mender: over-the-air updater for embedded Linux devices
  .
