=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- \
-		-ldflags "-X main.Version=$(DEB_VERSION)"
+		-ldflags "-X github.com/mendersoftware/mender/conf.Version=$(DEB_VERSION)"
 
 override_dh_auto_test:
 	dh_auto_test || true
