## mender-client 3.0.0+ds1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export CGO_ENABLED
 
 # Get rid of useless warning in lmdb
-CGO_CFLAGS ?= -Wno-implicit-fallthrough
+CGO_CFLAGS ?= -Wno-implicit-fallthrough -Wno-stringop-overflow
 export CGO_CFLAGS
 
 TOOLS = \
@@ -54,7 +54,11 @@
 	support/mender-inventory-hostinfo \
 	support/mender-inventory-network \
 	support/mender-inventory-os \
+	support/mender-inventory-provides \
 	support/mender-inventory-rootfs-type \
+	support/mender-inventory-update-modules
+
+INVENTORY_NETWORK_SCRIPTS = \
 	support/mender-inventory-geo
 
 MODULES = \
@@ -70,12 +74,23 @@
 	support/modules-artifact-gen/directory-artifact-gen \
 	support/modules-artifact-gen/single-file-artifact-gen
 
-build: mender
-
-mender: $(PKGFILES)
+DBUS_POLICY_FILES = \
+	support/dbus/io.mender.AuthenticationManager.conf \
+	support/dbus/io.mender.UpdateManager.conf
+
+build:
 	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
 
-install: install-bin install-conf install-identity-scripts install-inventory-scripts install-modules install-systemd install-examples
+mender: build
+
+install: install-bin \
+	install-conf \
+	install-dbus \
+	install-examples \
+	install-identity-scripts \
+	install-inventory-scripts \
+	install-modules \
+	install-systemd
 
 install-bin: mender
 	install -m 755 -d $(prefix)$(bindir)
@@ -88,13 +103,23 @@
 install-datadir:
 	install -m 755 -d $(prefix)$(datadir)/mender
 
+install-dbus: install-datadir
+	install -m 755 -d $(prefix)$(datadir)/dbus-1/system.d
+	install -m 644 $(DBUS_POLICY_FILES) $(prefix)$(datadir)/dbus-1/system.d/
+
 install-identity-scripts: install-datadir
 	install -m 755 -d $(prefix)$(datadir)/mender/identity
 	install -m 755 $(IDENTITY_SCRIPTS) $(prefix)$(datadir)/mender/identity/
 
-install-inventory-scripts: install-datadir
+install-inventory-scripts: install-inventory-local-scripts install-inventory-network-scripts
+
+install-inventory-local-scripts: install-datadir
 	install -m 755 -d $(prefix)$(datadir)/mender/inventory
 	install -m 755 $(INVENTORY_SCRIPTS) $(prefix)$(datadir)/mender/inventory/
+
+install-inventory-network-scripts: install-datadir
+	install -m 755 -d $(prefix)$(datadir)/mender/inventory
+	install -m 755 $(INVENTORY_NETWORK_SCRIPTS) $(prefix)$(datadir)/mender/inventory/
 
 install-modules:
 	install -m 755 -d $(prefix)$(datadir)/mender/modules/v3
@@ -112,8 +137,15 @@
 	install -m 755 -d $(prefix)$(docexamplesdir)
 	install -m 0644 support/demo.crt $(prefix)$(docexamplesdir)/
 
-uninstall: uninstall-bin uninstall-conf uninstall-identity-scripts uninstall-inventory-scripts \
-	uninstall-modules uninstall-modules-gen uninstall-systemd uninstall-examples
+uninstall: uninstall-bin \
+	uninstall-conf \
+	uninstall-dbus \
+	uninstall-identity-scripts \
+	uninstall-inventory-scripts \
+	uninstall-modules \
+	uninstall-modules-gen \
+	uninstall-systemd \
+	uninstall-examples
 
 uninstall-bin:
 	rm -f $(prefix)$(bindir)/mender
@@ -123,14 +155,29 @@
 	rm -f $(prefix)$(sysconfdir)/mender/artifact_info
 	-rmdir -p $(prefix)$(sysconfdir)/mender
 
+uninstall-dbus:
+	for policy in $(DBUS_POLICY_FILES); do \
+		rm -f $(prefix)$(datadir)/dbus-1/system.d/$$(basename $$policy); \
+	done
+	-rmdir -p $(prefix)$(datadir)/dbus-1/system.d
+
 uninstall-identity-scripts:
 	for script in $(IDENTITY_SCRIPTS); do \
 		rm -f $(prefix)$(datadir)/mender/identity/$$(basename $$script); \
 	done
 	-rmdir -p $(prefix)$(datadir)/mender/identity
 
-uninstall-inventory-scripts:
+uninstall-inventory-scripts: uninstall-inventory-local-scripts uninstall-inventory-network-scripts
+	-rmdir -p $(prefix)$(datadir)/mender/inventory
+
+uninstall-inventory-local-scripts:
 	for script in $(INVENTORY_SCRIPTS); do \
+		rm -f $(prefix)$(datadir)/mender/inventory/$$(basename $$script); \
+	done
+	-rmdir -p $(prefix)$(datadir)/mender/inventory
+
+uninstall-inventory-network-scripts:
+	for script in $(INVENTORY_NETWORK_SCRIPTS); do \
 		rm -f $(prefix)$(datadir)/mender/inventory/$$(basename $$script); \
 	done
 	-rmdir -p $(prefix)$(datadir)/mender/inventory
@@ -232,8 +279,11 @@
 .PHONY: install-bin
 .PHONY: install-conf
 .PHONY: install-datadir
+.PHONY: install-dbus
 .PHONY: install-identity-scripts
 .PHONY: install-inventory-scripts
+.PHONY: install-inventory-local-scripts
+.PHONY: install-inventory-network-scripts
 .PHONY: install-modules
 .PHONY: install-modules-gen
 .PHONY: install-systemd
@@ -241,8 +291,11 @@
 .PHONY: uninstall
 .PHONY: uninstall-bin
 .PHONY: uninstall-conf
+.PHONY: uninstall-dbus
 .PHONY: uninstall-identity-scripts
 .PHONY: uninstall-inventory-scripts
+.PHONY: uninstall-inventory-local-scripts
+.PHONY: uninstall-inventory-network-scripts
 .PHONY: uninstall-modules
 .PHONY: uninstall-modules-gen
 .PHONY: uninstall-systemd
