=== support/modules-artifact-gen/tests/requirements.txt ===
attrs==20.3.0
iniconfig==1.1.1
packaging==20.9
pluggy==0.13.1
py==1.10.0
pyparsing==2.4.7
pytest==6.2.3
toml==0.10.2
