=== debian/changelog ===
mender-client (3.0.0+ds1-2) unstable; urgency=medium

  * Build-dep on dbus-daemon for tests
  * Install dummy certificates for tests
  * Install extra cert keys for testing
  * Release to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 19 Jan 2022 12:46:15 +0100

mender-client (3.0.0+ds1-1) experimental; urgency=medium

  * debian/watch: dversionmangle to use +ds suffix for mangled orig tarballs
  * New upstream release.
  * Add mender/progressbar build-dep
  * Drop d/p/0001-Skip-TestLicense-for-Debian-Unit-Test-suite.patch
    - no longer needed. Test dropped upstream.
  * Change build-dep to urfave/v2 and drop revert patches
  * Bump required version of mender-artifact build-dep
  * Build-dep on libglib2.0-dev for gio-2.0 (dbus)
  * Also build-dep on godbus for tests

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Nov 2021 12:56:59 +0100
