=== debian/control ===
--- 
+++ 
@@ -15,9 +15,13 @@
                golang-logrus-dev,
                golang-github-bmatsuo-lmdb-go-dev,
                golang-github-ungerik-go-sysfs-dev,
-               golang-github-urfave-cli-dev,
-               golang-github-mendersoftware-mender-artifact-dev (>= 3.4.0),
+               golang-github-urfave-cli-v2-dev,
+               golang-github-mendersoftware-mender-artifact-dev (>= 3.5.0),
                golang-github-mendersoftware-openssl-dev (>=0.0.10),
+               golang-github-mendersoftware-progressbar-dev (>= 0.0.3),
+	       libglib2.0-dev,
+               dbus-daemon <!nocheck>,
+	       golang-dbus-dev <!nocheck>,
                ca-certificates <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender
