## mender-client 3.4.0%2Bds1

=== debian/changelog ===
mender-client (3.4.0+ds1-5ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 11:54:44 +1000

mender-client (3.4.0+ds1-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:16 +1100

mender-client (3.4.0+ds1-5build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:59:40 +0000

mender-client (3.4.0+ds1-5build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:47 +1200

mender-client (3.4.0+ds1-5) unstable; urgency=medium

  * mender-client.service: Avoid double log messages

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 Feb 2023 20:31:56 +0100

mender-client (3.4.0+ds1-4) unstable; urgency=medium

  [ Matthias Lüscher ]
  * Install dbus configuration files to enable mender-connect.
  * Added dbus as a recommended dependency.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Jan 2023 14:11:18 +0100

mender-client (3.4.0+ds1-3) unstable; urgency=medium

  [ Matthias Lüscher ]
  * Fix the mender client startup.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Dec 2022 15:09:50 +0100

mender-client (3.4.0+ds1-2) unstable; urgency=medium

  * Install update module artifact generators as examples
  * Install upstream provided update modules scripts

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2022 18:51:21 +0200

mender-client (3.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.4.0+ds1
  * Bump mender-artifact build-dep because of API breakage
  * Bump debhelper from old 12 to 13.
  * Fix up debian/control whitespace

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Oct 2022 15:06:19 +0200

mender-client (3.3.0+ds1-2) unstable; urgency=medium

  * Release to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Oct 2022 18:04:53 +0200

mender-client (3.3.0+ds1-1) experimental; urgency=medium

  * debian/watch: let uversionmangle strip -build from tags
  * New upstream release.
  * Build-dep on procps for process leaking tests
  * Add debian/patches/bump-leak-process-test-timeout.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Jun 2022 00:29:47 +0200

mender-client (3.2.1+ds1-1) experimental; urgency=medium

  * New upstream version 3.2.1+ds1
  * Build-dep on gorilla-websocket >= 1.5.0
  * Bump mender-artifact build-dep to >= 3.7.0

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 19 Mar 2022 11:05:00 +0100
