## mender-client 3.4.0+ds1

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,8 @@
 	github.com/fzipp/gocyclo/... \
 	gitlab.com/opennota/check/cmd/varcheck \
 	github.com/mendersoftware/deadcode \
-	github.com/mendersoftware/gobinarycoverage
+	github.com/mendersoftware/gobinarycoverage \
+	github.com/jstemmer/go-junit-report
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
@@ -78,10 +79,10 @@
 	support/dbus/io.mender.AuthenticationManager.conf \
 	support/dbus/io.mender.UpdateManager.conf
 
-build:
+build: mender
+
+mender: $(PKGFILES)
 	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
-
-mender: build
 
 install: install-bin \
 	install-conf \
@@ -230,7 +231,7 @@
 
 govet:
 	echo "-- checking with govet"
-	$(GO) vet -unsafeptr=false
+	$(GO) vet -composites=false -unsafeptr=false ./...
 
 godeadcode:
 	echo "-- checking for dead code"
@@ -252,7 +253,10 @@
 
 coverage:
 	rm -f coverage.txt
-	$(GO) test -coverprofile=coverage-tmp.txt -coverpkg=./... ./...
+	$(GO) test -v -coverprofile=coverage-tmp.txt -coverpkg=./... ./... > .tmp.go-test.txt ; echo $$? > .tmp.return-code.txt
+	cat .tmp.go-test.txt
+	go-junit-report < .tmp.go-test.txt > report.xml
+	rm -f .tmp.go-test.txt
 	if [ -f coverage-missing-subtests.txt ]; then \
 		echo 'mode: set' > coverage.txt; \
 		cat coverage-tmp.txt coverage-missing-subtests.txt | grep -v 'mode: set' >> coverage.txt; \
@@ -260,6 +264,11 @@
 		mv coverage-tmp.txt coverage.txt; \
 	fi
 	rm -f coverage-tmp.txt coverage-missing-subtests.txt
+	failing_tests=$$(grep -Po '(?<=failures=")\d+' report.xml | awk '{s+=$$1} END {print s}'); \
+	echo FAILING TESTS: $$failing_tests
+	return_code=$$(cat .tmp.return-code.txt); \
+	rm -f .tmp.return-code.txt; \
+	exit $$return_code
 
 instrument-binary:
 	# Patch the client to make it ready for coverage analysis
