=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mender-client
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                pkg-config,
                golang-any,
@@ -14,14 +15,16 @@
                golang-golang-x-sys-dev,
                golang-logrus-dev,
                golang-github-bmatsuo-lmdb-go-dev,
+               golang-github-gorilla-websocket-dev (>= 1.5.0~),
                golang-github-ungerik-go-sysfs-dev,
                golang-github-urfave-cli-v2-dev,
-               golang-github-mendersoftware-mender-artifact-dev (>= 3.5.0),
-               golang-github-mendersoftware-openssl-dev (>=0.0.10),
+               golang-github-mendersoftware-mender-artifact-dev (>= 3.9.0),
+               golang-github-mendersoftware-openssl-dev (>= 0.0.10),
                golang-github-mendersoftware-progressbar-dev (>= 0.0.3),
-	       libglib2.0-dev,
+               libglib2.0-dev,
+               procps <!nocheck>,
                dbus-daemon <!nocheck>,
-	       golang-dbus-dev <!nocheck>,
+               golang-dbus-dev <!nocheck>,
                ca-certificates <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/mendersoftware/mender
@@ -36,10 +39,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ca-certificates,
+            default-dbus-system-bus | dbus-system-bus,
             libubootenv-tool (>= 0.3-3~) | u-boot-tools (<< 2019.10~rc4+dfsg-1~),
-	    mount,
-	    procps,
-	    systemd-sysv
+            mount,
+            procps,
+            systemd-sysv
 Description: Mender over-the-air software updater client.
  Mender: over-the-air updater for embedded Linux devices
  .
